[Midnightbsd-cvs] src [11845] trunk/release/ia64: add ia64

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Thu Jul 12 20:49:04 EDT 2018


Revision: 11845
          http://svnweb.midnightbsd.org/src/?rev=11845
Author:   laffer1
Date:     2018-07-12 20:49:04 -0400 (Thu, 12 Jul 2018)
Log Message:
-----------
add ia64

Added Paths:
-----------
    trunk/release/ia64/
    trunk/release/ia64/ia64.conf
    trunk/release/ia64/make-memstick.sh
    trunk/release/ia64/mkisoimages.sh

Added: trunk/release/ia64/ia64.conf
===================================================================
--- trunk/release/ia64/ia64.conf	                        (rev 0)
+++ trunk/release/ia64/ia64.conf	2018-07-13 00:49:04 UTC (rev 11845)
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# $MidnightBSD$
+#
+
+# Configuration file for release/release.sh to build ia64/ia64.
+
+TARGET="ia64"
+TARGET_ARCH="ia64"
+KERNEL="GENERIC"


Property changes on: trunk/release/ia64/ia64.conf
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/release/ia64/make-memstick.sh
===================================================================
--- trunk/release/ia64/make-memstick.sh	                        (rev 0)
+++ trunk/release/ia64/make-memstick.sh	2018-07-13 00:49:04 UTC (rev 11845)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# This script generates a "memstick image" (image that can be copied to a
+# USB memory stick) from a directory tree.  Note that the script does not
+# clean up after itself very well for error conditions on purpose so the
+# problem can be diagnosed (full filesystem most likely but ...).
+#
+# Usage: make-memstick.sh <directory tree> <image filename>
+#
+# $MidnightBSD$
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+export PATH
+
+BLOCKSIZE=10240
+
+if [ $# -ne 2 ]; then
+  echo "make-memstick.sh /path/to/directory /path/to/image/file"
+  exit 1
+fi
+
+if [ ! -d ${1} ]; then
+  echo "${1} must be a directory"
+  exit 1
+fi
+
+if [ -e ${2} ]; then
+  echo "won't overwrite ${2}"
+  exit 1
+fi
+
+makefs -B little ${2} ${1}
+if [ $? -ne 0 ]; then
+  echo "makefs failed"
+  exit 1
+fi
+


Property changes on: trunk/release/ia64/make-memstick.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/release/ia64/mkisoimages.sh
===================================================================
--- trunk/release/ia64/mkisoimages.sh	                        (rev 0)
+++ trunk/release/ia64/mkisoimages.sh	2018-07-13 00:49:04 UTC (rev 11845)
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# Module: mkisoimages.sh
+# Author: Jordan K Hubbard
+# Date:   22 June 2001
+#
+# $MidnightBSD$
+#
+# This script is used by release/Makefile to build the (optional) ISO images
+# for a MidnightBSD release.  It is considered architecture dependent since each
+# platform has a slightly unique way of making bootable CDs.  This script
+# is also allowed to generate any number of images since that is more of
+# publishing decision than anything else.
+#
+# Usage:
+#
+# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
+#
+# Where -b is passed if the ISO image should be made "bootable" by
+# whatever standards this architecture supports (may be unsupported),
+# image-label is the ISO image label, image-name is the filename of the
+# resulting ISO image, base-bits-dir contains the image contents and
+# extra-bits-dir, if provided, contains additional files to be merged
+# into base-bits-dir as part of making the image.
+
+set -e
+
+if [ "x$1" = "x-b" ]; then
+    bootable=yes
+    shift
+else
+    bootable=no
+fi
+
+if [ $# -lt 3 ]; then
+    echo usage: $0 '[-b] label iso-name base-dir [extra-dir]'
+    exit 1
+fi
+
+LABEL=`echo $1 | tr '[:lower:]' '[:upper:]'`; shift
+NAME=$1; shift
+BASE=$1; shift
+
+EFIPART=efipart.sys
+
+# To create a bootable CD under EFI, the boot image should be an EFI
+# system partition.
+if [ $bootable = yes ]; then
+    EFISZ=65536
+    MNT=/mnt
+    dd if=/dev/zero of=$EFIPART count=$EFISZ
+    md=`mdconfig -a -t vnode -f $EFIPART`
+    newfs_msdos -F 12 -S 512 -h 4 -o 0 -s $EFISZ -u 16 $md
+    mount -t msdosfs /dev/$md $MNT
+    mkdir -p $MNT/efi/boot $MNT/boot $MNT/boot/kernel
+    cp -R $BASE/boot/defaults $MNT/boot
+    cp $BASE/boot/kernel/kernel $MNT/boot/kernel
+    if [ -s $BASE/boot/kernel/ispfw.ko ]; then
+	cp $BASE/boot/kernel/ispfw.ko $MNT/boot/kernel
+    fi
+    cp $BASE/boot/device.hints $MNT/boot
+    cp $BASE/boot/loader.* $MNT/boot
+    if [ -s $BASE/boot/mfsroot.gz ]; then
+	cp $BASE/boot/mfsroot.gz $MNT/boot
+    fi
+    cp $BASE/boot/color.4th $MNT/boot
+    cp $BASE/boot/support.4th $MNT/boot
+    cp $BASE/boot/check-password.4th $MNT/boot
+    cp $BASE/boot/screen.4th $MNT/boot
+    mv $MNT/boot/loader.efi $MNT/efi/boot/bootia64.efi
+    echo kern.cam.boot_delay=\"3000\" >> $MNT/boot/loader.conf
+    echo vfs.root.mountfrom=\"cd9660:iso9660/$LABEL\" >> $MNT/boot/loader.conf
+    umount $MNT
+    mdconfig -d -u $md
+    BOOTOPTS="-o bootimage=i386;$EFIPART -o no-emul-boot"
+else
+    BOOTOPTS=""
+fi
+
+publisher="The MidnightBSD Project.  http://www.MidnightBSD.org/"
+echo "/dev/iso9660/$LABEL / cd9660 ro 0 0" > $BASE/etc/fstab
+makefs -t cd9660 $BOOTOPTS -o rockridge -o label=$LABEL -o publisher="$publisher" $NAME $BASE $*
+rm $BASE/etc/fstab
+rm -f $EFIPART
+exit 0


Property changes on: trunk/release/ia64/mkisoimages.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property


More information about the Midnightbsd-cvs mailing list